
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++中关于string类的一些API总结 / 憋错料</title>

    <meta name="description" content="C++中关于string类的一些API总结 参考资料:https://www.cnblogs.com/X-Do-Better/p/8628492.html: https://blog.csdn.net/iot_change/article/details/8496977 一.前言 对于C++中的string类,需要使用的话,需要包含头文件&lt;string&gt;.string类在C++中属于一个模板类,位于命名空间namespace中,使用的时候需要加上下一语句. 1 using namespace std; 二.自身特性方面的API ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C++中关于string类的一些API总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>参考资料：<a href="https://www.cnblogs.com/X-Do-Better/p/8628492.html" rel="external nofollow noreferrer">https://www.cnblogs.com/X-Do-Better/p/8628492.html</a>；</p>
<p>　　　　　<a href="https://blog.csdn.net/iot_change/article/details/8496977" rel="external nofollow noreferrer">https://blog.csdn.net/iot_change/article/details/8496977</a></p>
<p>一、前言</p>
<p>　　对于C++中的string类，需要使用的话，需要包含头文件&lt;string&gt;。string类在C++中属于一个模板类，位于命名空间namespace中，使用的时候需要加上下一语句。</p>
<pre>1 using namespace std;</pre>
<p>二、自身特性方面的API</p>
<p>　　1、int capacity()</p>
<p>　　功能描述：返回当前容量【即string中在不需要增加内存的情况下还可存放的元素个数】。</p>
<p>　　2、int max_size()</p>
<p>　　功能描述：返回string对象中可存放的最大字符串的长度。</p>
<p>　　3、int size()</p>
<p>　　功能描述：返回当前字符串的大小</p>
<p>　　4、int length()</p>
<p>　　功能描述：返回当前字符串的长度</p>
<p>　　5、bool empty()</p>
<p>　　功能描述：判断当前字符串是否为空</p>
<p>　　6、void resize(int len, char c)</p>
<p>　　功能描述：把字符串当前大小设置为len，多去少补，字符c填充不足的部分</p>
<p>三、关于查找方面的API</p>
<p>　　1、size_type find&nbsp;( const basic_string &amp;str, size_type index )</p>
<p>　　功能介绍：返回str在字符串中第一次出现的位置，从index开始查找，如果查找失败，则返回string::npos。</p>
<p>　　类似的API还有以下几个。</p>
<p>　　size_type find( const char *str, size_type index, size_type length )：返回str在字符串中第一次出现的位置（从index开始查找，长度为length），如果没找到就返回string::npos。</p>
<p>　　size_type find( char ch, size_type index )：返回字符ch在字符串中第一次出现的位置（从index开始查找），如果没找到就返回string::npos。</p>
<p>　　以上的查找功能都是按照从前往后的顺序进行查找，如果想要按照从后往前的顺序进行查找的话，可以用"rfind"语句。</p>
<p>　　2、size_type find_first_of ( const string&amp; str,&nbsp;size_type&nbsp; pos = 0 )</p>
<p>　　　功能介绍：返回str中任意字符在字符串中第一次出现的位置，从位置0开始查找。</p>
<p>　　　类似功能的函数有以下几个。</p>
<p>　　　size_type&nbsp;find_first_of ( const char* s, size_type&nbsp;pos, size_t n )</p>
<p>　　　size_type&nbsp;find_first_of ( const char* s, size_type&nbsp;pos = 0 )</p>
<p><em><em>　　　size_type&nbsp;find_first_of ( char c, size_type&nbsp;pos = 0 )</em></em></p>
<p>　　3、find_first_not_of</p>
<p>　　功能与find_first_of()函数的功能正好相反。</p>
<p>　　4、find_last_of</p>
<p>　　与find_first_of()函数相比而言，其不同的地方在于：find_last_of()是找出最后一个相同的位置。</p>
<p>　　5、find_last_not_of</p>
<p>　　与find_last_of()功能函数正好相反。</p>
<p>四、其他方面的函数</p>
<p>　　1、string &amp;insert(int p,const string &amp;s)</p>
<p>　　功能介绍：在p位置插入字符串s</p>
<p>　　2、string &amp;replace(int p, int n,const char *s)</p>
<p>　　功能介绍：删除从p开始的n个字符，然后在p处插入字符串s</p>
<p>　　3、string &amp;erase(int p, int n)</p>
<p>　　功能介绍：删除p开始的n个字符，返回修改后的字符串</p>
<p>　　4、string substr(int pos, int n )</p>
<p>　　功能介绍：返回pos开始的n个字符组成的字符串</p>
<p>　　5、void swap(string &amp;s2)</p>
<p>　　功能介绍：交换当前字符串与s2的值</p>
<p>　　6、string &amp;append(const char *s)</p>
<p>　　功能介绍：把字符串s连接到当前字符串结尾</p>
<p>　　7、void push_back(char c)</p>
<p>　　功能介绍：当前字符串尾部加一个字符c</p>
<p>　　8、const char *data()/</p>
<p>　　功能介绍：返回一个非null终止的c字符数组，data():与c_str()类似，用于string转const char*其中它返回的数组是不以空字符终止。</p>
<p>　　9、const char *c_str()　　</p>
<p>　　返回一个以null终止的c字符串，即c_str()函数返回一个指向正规C字符串的指针, 内容与本string串相同,用于string转const char*</p>

<p>原文地址：https://www.cnblogs.com/wyt123/p/10711326.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 20:17:45 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/char/" title="char">char</a>, <a href="https://www.biecuoliao.com/tag/std/" title="std">std</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.biecuoliao.com/tag/bsp/" title="bsp">bsp</a>, <a href="https://www.biecuoliao.com/tag/index/" title="index">index</a>, <a href="https://www.biecuoliao.com/tag/%e6%8f%92%e5%85%a5/" title="插入">插入</a>, <a href="https://www.biecuoliao.com/tag/sdn/" title="sdn">sdn</a>, <a href="https://www.biecuoliao.com/tag/%e6%8f%92%e5%85%a5%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="插入字符串">插入字符串</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C++中关于string类的一些API总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RYD9jM.html" rel="bookmark">标准C&plus;&plus;中的string类的用法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标准C++中的string类的用法总结 相信使用过MFC编程的朋友对CString这个类的印象应该非常深刻吧?的确,MFC中的CString类使用起来真的非常的方便好用.但是如果离开了MFC框架,还有没有这样使用起来非常方便的类呢?答案是肯定的.也许有人会说,即使不用MFC框架,也可以想办法使用MFC中的API,具体的操作方法在本文最后给出操作方法.其实,可能很多人很可能会忽略掉标准C++中string类的使用.标准C++中提供的string类得功能也是非常强大的,一般都能满足我们开发项目时使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aDaARM.html" rel="bookmark">标准C&plus;&plus;中的string类的用法总结【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自(略改动):http://www.cnblogs.com/xFreedom/archive/2011/05/16/2048037.html 更全面新颖的说明见:http://www.cplusplus.com/reference/string/string/  说明: 1.size_t 是个unsigned integral type.  2.文中 c字符数组 是指末尾不带'\0'的,注意与 c字符串 的区别 相信使用过MFC编程的朋友对CString这个类的印象应该非常深刻吧?的确,MFC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qAxVa3.html" rel="bookmark">为什么jdk中把String类设计成final</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么jdk中把String类设计成final? 最佳答案: 主要是为了&quot;效率&quot; 和 &quot;安全性&quot; 的缘故.若 String允许被继承, 由于它的高度被使用率, 可能会降低程序的性能,所以String被定义成final. 其它答案一: String和其他基本类型不同,他是个对象类型.既然是对象类型,如果是在静态方法下是必须调用静态方法或值的,如果是非静态的方法,就必须要实例化. main函数是个static的.所以String要能像其他的基本类型一样直接被调用.这也是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/478jvxM.html" rel="bookmark">&lbrack;经典面试题&rsqb;&lbrack;百度&rsqb;c&plus;&plus;实现STL中的string类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 请用c++ 实现stl中的string类,实现构造,拷贝构造,析构,赋值,比较,字符串相加,获取长度及子串等功能. 代码 /*------------------------------------- * 日期:2015-03-31 * 作者:SJF0115 * 题目: 实现string类 * 来源:百度 * 博客: ------------------------------------*/ #include &lt;iostream&gt; #include &lt;cstring&gt; us			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vjlyj3.html" rel="bookmark">java 中的String类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				String a = &quot;aaa&quot;; 用这种方式的时候java首先在内存中寻找&quot;aaa&quot;字符串,如果有,就把aaa的地址给它 如果没有则创建 String a = new String(&quot;aaa&quot;); 是不管内存中有没有&quot;aaa&quot; 都开辟一块新内存保存它 可以用以下方法验证下 String a = &quot;aaa&quot;; String b = &quot;aaa&quot;; String c = new String			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kj8lKM.html" rel="bookmark">C&plus;&plus;中的string类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++中的string类1)是什么:专门的字符串操作的一个类,非常强大,字符串CString,QString2)跟char *的区别Char *是指向字符数组首地址的指针,然后我们系统提供一个string.h,这个头文件声明了很所字符串操作函数,strlen.strcat.strcmp.strcpy--.Stirng这个类,我们使用的时候不用考虑内存非配与释放,不用担心越界,因为前辈在封装string的时候,已经把几乎所有的情况都考虑到了,3)学习方法,学会查找三种方式:MSDN.工具书.百度4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e2GBw3.html" rel="bookmark">深入C&num;中的string类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深入C#中的String类 1.字符串查找方法 ①.indexOf(char/string value) 找到第一个匹配项所在的位置 ②.LastindexOf(char/string value) 找到最后一次匹配项所在的位置 *两个方法的返回值都是int类型,如果找到匹配项则返回下标,没有返回-1; *两个方法支持char类型和string类型 ③示例: int 变量名 = 字符串.IndexOf(&quot;匹配项&quot;); 2.兼容大小写形式 ①string.Trim(); 去除字符串两端空			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qvl674.html" rel="bookmark">&lbrack;转&rsqb;标准C&plus;&plus;中的string类的用法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://www.cnblogs.com/xFreedom/archive/2011/05/16/2048037.html 相信使用过MFC编程的朋友对CString这个类的印象应该非常深刻吧?的确,MFC中的CString类使用起来真的非常的方便好用.但是如果离开了MFC框架,还有没有这样使用起来非常方便的类呢?答案是肯定的.也许有人会说,即使不用MFC框架,也可以想办法使用MFC中的API,具体的操作方法在本文最后给出操作方法.其实,可能很多人很可能会忽略掉标准C++中stri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k9XRX4.html" rel="bookmark">VC&plus;&plus;  标准C&plus;&plus;中的string类的用法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信使用过MFC编程的朋友对CString这个类的印象应该非常深刻吧?的确,MFC中的CString类使用起来真的非常的方便好用.但是如果离开了MFC框架,还有没有这样使用起来非常方便的类呢?答案是肯定的.也许有人会说,即使不用MFC框架,也可以想办法使用MFC中的API,具体的操作方法在本文最后给出操作方法.其实,可能很多人很可能会忽略掉标准C++中string类的使用.标准C++中提供的string类得功能也是非常强大的,一般都能满足我们开发项目时使用.现将具体用法的一部分罗列如下,只起一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jkz9YM.html" rel="bookmark" class="title">一、iOS中的事件可以分为3大类型</a>
					<div>
						触摸事件加速计事件远程控制事件 响应者对象在iOS中不是任何对象都能处理事件,只有继承了UIResponder的对象才能接收并处理事件.我们称之为&quot;响应者对象&quot; UIApplica ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8De83.html" rel="bookmark" class="title">&lbrack;计算机漫谈&rsqb;伪随机数生成方法</a>
					<div>
						大家好.今天说点儿关于程序设计过程中产生随机数的方法. (一)JAVA伪随机数生成方法 随机数在程序设计过程中,特别是在实践环境模拟和测试等领域中得到很广泛的应用,我们在编程的过程中也时不时需要使用到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYWDy3.html" rel="bookmark" class="title">成员函数的重载，覆盖与隐藏</a>
					<div>
						重载 具有相同的作用域(即同一个类定义中) 函数名字相同 参数类型.顺序或数目不同(包括const参数和非const参数) virtual关键字可有可无 覆盖 是指派生类重新实现(或改写)了基类的成员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38LYyy3.html" rel="bookmark" class="title">STORM配置TOPOLOGY问题</a>
					<div>
						最初的错误: DynamicBrokersReader [ERROR] Node /brokers/ids/0 does not exist 设置: BrokerHosts brokerHosts = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KBbxOM.html" rel="bookmark" class="title">apache开启虚拟主机 并进行配置</a>
					<div>
						sudo vi /etc/apache2/httpd.conf 进入 apache 配置文件 在配置文件中搜索 Virtual hosts   如图 把前面的#删掉    #为注释 sudo vi / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BXaYM.html" rel="bookmark" class="title">less基础入门</a>
					<div>
						平时在工作中,偶尔会遇到老大让你修改原来写好的样式,如果修改的多的话,修改起来是非常麻烦的.他不像js一样,定义变量.函数,需要修改某些值,直接修改方法就行了.less的出现,恰恰帮我们解决了这个问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382xelM.html" rel="bookmark" class="title">JAVA内存使用--如何计算一个Java对象占用的字节数</a>
					<div>
						本文中,我们讨论一个问题:如何计算(或者说,估算)一个Java对象占用的内存数量? 通常,我们谈论的堆内存使用的前提是以&quot;一般情况&quot;为背景的.不包括下面两种情形: 某些情况下,JV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mgl5BL0.html" rel="bookmark" class="title">对语文的新看法</a>
					<div>
						语文 1.中国第一部字典&lt;说文解字&gt;,典:多的意思.   第一部诗歌总集&lt;诗精&gt;.第一部词典&lt;尔雅&gt;,尔雅:用普通话解释一个词. 2.虫:指自然界所有的昆虫     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjVoj0.html" rel="bookmark" class="title">C语言链表实现约瑟夫环问题</a>
					<div>
						需求表达:略 分析: 实现: #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; typedef struct node { int payload ;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQzqYM.html" rel="bookmark" class="title">数据驱动与数据抽象</a>
					<div>
						1.数据驱动 考虑这样一个场景: 我们同时需要从buffer1.buffer2.buffer3中分别取出数据,并应用任意的逻辑计算得到一个Result,我们要怎么做? ①不经过大脑的话,应该是这样 { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLAjP0.html" rel="bookmark" class="title">iOS核心笔记&mdash;&mdash;定时器</a>
					<div>
						一.什么是CADisplayLink 简单地说,它就是一个定时器,每隔几毫秒刷新一次屏幕. CADisplayLink是一个能让我们以和屏幕刷新率相同的频率将内容画到屏幕上的定时器.我们在应用中创建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBRAyM.html" rel="bookmark" class="title">Firefox扩展开发 （插件开发） Extension开发 入门教程 5步走 五步走&lpar;转&rpar;</a>
					<div>
						首先需要知道什么是“Firefox插件”.这里说的“插件”只是一个通俗的说法,其实Firefox这种扩展功能的“插件”包括:扩展extension和插件plugin. Firefox官方网站的解释是: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQy2d0.html" rel="bookmark" class="title">【转载】快速迭代式开发使用方法总结</a>
					<div>
						本文转载自http://blog.csdn.net/dongkui168/article/details/9069407 --------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35PrYK0.html" rel="bookmark" class="title">Ubuntu客户端通过SSH方式远程登录Ubuntu服务器</a>
					<div>
						1.概述 传统的远程登录(telnet,rlogin)时不安全的,他们在网络上用明文传输口令和数据,SSH则是安全的,openssh提供两种级别的验证方式. (1)基于口令的安全验证:知道服务器的帐号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQDO70.html" rel="bookmark" class="title">HDU 1272 小希的迷宫（并查集）</a>
					<div>
						题意:判一个无向图无环且处处连通 思路:并查集,trap 可能直接输入0 0 而且....合并的时候按某一个方向会爆栈,爆了好几次...下次考虑一下直接递归找祖先吧 #include&lt;cstdi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXlvN0.html" rel="bookmark" class="title">iOS阅读器实践系列（一）coretext纯文本排版基础</a>
					<div>
						前言:之前做了公司阅读类的App,最近有时间来写一下阅读部分的实现过程,供梳理逻辑,计划会写一个系列希望能涉及到尽量多的方面与细节,欢迎大家交流.吐槽.拍砖,共同进步. 阅读的排版用的是coretex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41y8DP4.html" rel="bookmark" class="title">OpenSessionInview</a>
					<div>
						OpenSessionInview Open Session In View模式的主要思想是:在用户的每一次请求过程始终保持一个Session对象打开着 实现步骤: 步骤一.创建一个Web项目,创建包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnl7e3.html" rel="bookmark" class="title">Cisco Packet Tracer 网络软件的使用记录</a>
					<div>
						1:新建一个文件 2:在交换机中选择一个2960 .在终端设备选择一个PC机 . 线缆选择配置线 3:点击PC,选择RS 232 , 再点击2960,选择Console 4: 双击PC,选择桌面,点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVplad3.html" rel="bookmark" class="title">大数据-java基础-4day</a>
					<div>
						第4天 ------------------------- 数组的转置: 1.前提条件是二维数组是正方的,即n行n列. /** * 二维数据的转置 */ public class ArrayTrans ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzy7Ad4.html" rel="bookmark" class="title">CSS3圆角边框</a>
					<div>
						CSS3圆角边框实例: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
